# FdoDirectPositionImpl Class Reference

`#include <DirectPositionImpl.h>`

Inheritance diagram for FdoDirectPositionImpl:

[legend]

List of all members.

## Detailed Description

The FdoDirectPositionImpl class is a default implementation of FdoIDirectPosition. FdoDirectPositionImpl implements accessors from FdoIDirectPosition, matching mutators, and simple data members. Assignment and exact equality operators are also provided.

Definition at line 35 of file DirectPositionImpl.h.

## Public Member Functions
FDO_GEOM_API FdoInt32 | GetDimensionality () const
| Gets the dimensionality of ordinates in this position.
FDO_GEOM_API double | GetM () const
| Gets the M ordinate.
virtual FDO_GEOM_API const double * | GetOrdinates ()
| Gets the ordinates as an array.
FDO_GEOM_API double | GetX () const
| Gets the X ordinate.
FDO_GEOM_API double | GetY () const
| Gets the Y ordinate.
FDO_GEOM_API double | GetZ () const
| Gets the Z ordinate.
FDO_GEOM_API FdoDirectPositionImpl & | operator= (const FdoIDirectPosition &position)
| Assignment operator for FdoDirectPositionImpl from a FdoIDirectPosition, using public methods.
FDO_GEOM_API FdoDirectPositionImpl & | operator= (const FdoDirectPositionImpl &position)
| Assignment operator for FdoDirectPositionImpl.
FDO_GEOM_API bool | operator== (const FdoDirectPositionImpl &rhs) const
| Equality operator for FdoDirectPositionImpl.
FDO_GEOM_API void | SetDimensionality (FdoInt32 dimensionality)
| Sets the dimensionality.
FDO_GEOM_API void | SetM (double m)
| Sets the M ordinate.
FDO_GEOM_API void | SetX (double x)
| Sets the X ordinate.
FDO_GEOM_API void | SetY (double y)
| Sets the Y ordinate.
FDO_GEOM_API void | SetZ (double z)
| Sets the Z ordinate.
## Static Public Member Functions
static FDO_GEOM_API FdoDirectPositionImpl * | Create (const FdoIDirectPosition *pos)
| Constructs a copy of a FdoDirectPositionImpl.
static FDO_GEOM_API FdoDirectPositionImpl * | Create (const FdoDirectPositionImpl &position)
| Constructs a copy of a FdoDirectPositionImpl.
static FDO_GEOM_API FdoDirectPositionImpl * | Create (FdoInt32 dimensionality, const double *ordinates)
| Constructs a FdoDirectPositionImpl object by copying from an ordinate array.
static FDO_GEOM_API FdoDirectPositionImpl * | Create (double x, double y, double z, double m)
| Constructs a 4D FdoDirectPositionImpl object from X, Y, Z and M ordinates.
static FDO_GEOM_API FdoDirectPositionImpl * | Create (double x, double y, double z)
| Constructs a 3D FdoDirectPositionImpl object from X, Y and Z ordinates.
static FDO_GEOM_API FdoDirectPositionImpl * | Create (double x, double y)
| Constructs a 2D FdoDirectPositionImpl object from X and Y ordinates.
static FDO_GEOM_API FdoDirectPositionImpl * | Create ()
| Constructs a default instance of a FdoDirectPositionImpl object.

The documentation for this class was generated from the following file:

- DirectPositionImpl.h